Subject: [alpine-aports] [PATCH v2] main/guile: upgrade to 2.2.0

From: Valery Kartel <[email-masked]>
Date: Mon, 20 Mar 2017 15:26:31 +0200

switch to https:// source url

---
v1 -> v2: force use /bin/bash for building
---
 main/guile/APKBUILD | 20 ++++++++------------
 1 file changed, 8 insertions(+), 12 deletions(-)

diff --git a/main/guile/APKBUILD b/main/guile/APKBUILD
index 09cc1c1a33..ab84a12601 100644
--- a/main/guile/APKBUILD
+++ b/main/guile/APKBUILD
@@ -1,44 +1,40 @@
 # Maintainer: Natanael Copa <[email-masked]>
 pkgname=guile
-pkgver=2.0.13
+pkgver=2.2.0
 pkgrel=0
 pkgdesc="Guile is a portable, embeddable Scheme implementation written in C"
 url="http://www.gnu.org/software/guile/"
 arch="all"
 license="GPL"
+options="!check"
 subpackages="$pkgname-dev $pkgname-doc $pkgname-libs"
 makedepends="gmp-dev libtool ncurses-dev texinfo libunistring-dev libffi-dev
 	gc-dev"
 depends=
 depends_dev="guile gc-dev"
 install=
-source="ftp://ftp.gnu.org/pub/gnu/$pkgname/$pkgname-$pkgver.tar.gz
+source="https://ftp.gnu.org/gnu/$pkgname/$pkgname-$pkgver.tar.xz
 	0002-Mark-mutex-with-owner-not-retained-threads-test-as-u.patch
 	"
-
-builddir="$srcdir"/$pkgname-$pkgver
+builddir="$srcdir/$pkgname-$pkgver"
 
 build() {
 	cd "$builddir"
 	./configure \
+		SHELL="/bin/bash" \
 		--build=$CBUILD \
 		--host=$CHOST \
 		--prefix=/usr \
 		--disable-error-on-warning \
 		--disable-static \
 		|| return 1
-	make || return 1
+	make
 }
 
 package() {
-	cd "$builddir"
-	make DESTDIR="$pkgdir" install || return 1
+	make -C "$builddir" DESTDIR="$pkgdir" install || return 1
 	rm "$pkgdir"/usr/lib/charset.alias
 }
 
-md5sums="dac267e76330176d48583258aeaa7016  guile-2.0.13.tar.gz
-00b381cff020d6b43de150a99d08d955  0002-Mark-mutex-with-owner-not-retained-threads-test-as-u.patch"
-sha256sums="ee8073c4582bb4f06412452fdf5dd185aae607441f1313c824f44bdd668b0bde  guile-2.0.13.tar.gz
-760355a63be9b756607a03352ceb916dfba02da917fa00c6bc07253d0f7c75f6  0002-Mark-mutex-with-owner-not-retained-threads-test-as-u.patch"
-sha512sums="79fd5fda5064331eb687934ec3eaf07943f5b23bd05fbce23ab5ee3698864250b33746e33b8f074692b56f7b428dac42ed5d3f5b9dc17d171aa6dfadc1625b00  guile-2.0.13.tar.gz
+sha512sums="8ab2909faedea68e0abea77d9ecc0ddd3e90d0b118e05bfbdbdb213fd5674b049562178b7bd3bc64dd1a7877581e03db023800da97f2f699619ea34cf01d591c  guile-2.2.0.tar.xz
 b1c309cc07830ff1741ef88857f8099187b449580e8d57862886abc367ef1accc5a35636d81eee09247f13d3a751cdc8909fdea05368d3d509bd2039ce06d078  0002-Mark-mutex-with-owner-not-retained-threads-test-as-u.patch"
-- 
2.11.1

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---

---

From: Leonardo Arena <[email-masked]>
Date: Mon, 3 Apr 2017 10:30:07 +0200

Hi,

>  1 file changed, 8 insertions(+), 12 deletions(-)

unfortunately it fails again with:

/bin/bash: line 6: 13838 Segmentation fault      GUILE_AUTO_COMPILE=0
../meta/build-env guild compile --target="x86_64-alpine-linux-musl" -O1
-L "/home/larena/aports/main/guile/src/guile-2.2.0/module" -L
"/home/larena/aports/main/guile/src/guile-2.2.0/guile-readline" -o
"system/vm/assembler.go" "../module/system/vm/assembler.scm"
make[2]: *** [Makefile:1928: system/vm/assembler.go] Error 139
make[2]: *** Waiting for unfinished jobs....
wrote `ice-9/pretty-print.go'
/bin/bash: line 6: 13905 Segmentation fault      GUILE_AUTO_COMPILE=0
../meta/build-env guild compile --target="x86_64-alpine-linux-musl" -O1
-L "/home/larena/aports/main/guile/src/guile-2.2.0/module" -L
"/home/larena/aports/main/guile/src/guile-2.2.0/guile-readline" -o
"system/vm/disassembler.go" "../module/system/vm/disassembler.scm"
make[2]: *** [Makefile:1928: system/vm/disassembler.go] Error 139
wrote `system/vm/debug.go'
make[2]: Leaving directory
'/home/larena/aports/main/guile/src/guile-2.2.0/bootstrap'
make[1]: *** [Makefile:1857: all-recursive] Error 1
make[1]: Leaving directory '/home/larena/aports/main/guile/src/guile-2.2.0'
make: *** [Makefile:1743: all] Error 2

Also, although bash is pulled in by libtool, to be correct it should be
added to makedepends.

Thanks

|_eo

---

From: Valery Kartel <[email-masked]>
Date: Thu, 6 Apr 2017 15:11:57 +0300

Ok, I add bash to makedepends. But I can't reproduce errors you have.

I'll made PR to github to see how travis-ci builds it.

---

From: Valery Kartel <[email-masked]>
Date: Thu, 6 Apr 2017 16:16:32 +0300

on my alpine lxc it builds well, but fails to build on travis-ci with
Segmentation fault ((

/bin/bash: line 5: 31384 Segmentation fault (core dumped)
GUILE_AUTO_COMPILE=0 ../meta/build-env guild compile
--target="x86_64-alpine-linux-musl" -Wunbound-variable
-Wmacro-use-before-definition -Warity-mismatch -Wformat -L
"/home/travis/build/alpinelinux/aports/main/guile/src/guile-2.2.0/module"
-L "/home/travis/build/alpinelinux/aports/main/guile/src/guile-2.2.0/module"
-L "/home/travis/build/alpinelinux/aports/main/guile/src/guile-2.2.0/guile-readline"
-o "language/cps/effects-analysis.go"
"language/cps/effects-analysis.scm"

make[2]: *** [Makefile:2255: language/cps/effects-analysis.go] Error 139

Don't have any idea why...

https://github.com/alpinelinux/aports/pull/1218

---

From: Valery Kartel <[email-masked]>
Date: Fri, 7 Apr 2017 11:37:22 +0300

Found that all fails depends on guile-readline library.

Tried to inject new libreadline abuild I have on my lxc (
http://patchwork.alpinelinux.org/patch/3182) to make a similar habitat for
guile building. But it fails too. It still use old readline version instead
of new compiled one.

the only difference I found is:

*on my lxc: ./configure ...*
checking for tgoto in -lncurses... yes

*checking how to link with libreadline... -lreadline*

checking for siginterrupt... (cached) yes

*on travis-ci: ./configure ...*

checking for tgoto in -lncurses... yes

*checking how to link with libreadline... /usr/lib/libreadline.so*

checking for siginterrupt... (cached) yes

2017-04-06 16:16 GMT+03:00 Valery Kartel <[email-masked]>:

> /bin/bash: line 5: 31384 Segmentation fault (core dumped) GUILE_AUTO_COMPILE=0 ../meta/build-env guild compile --target="x86_64-alpine-linux-musl" -Wunbound-variable -Wmacro-use-before-definition -Warity-mismatch -Wformat -L "/home/travis/build/alpinelinux/aports/main/guile/src/guile-2.2.0/module" -L "/home/travis/build/alpinelinux/aports/main/guile/src/guile-2.2.0/module" -L "/home/travis/build/alpinelinux/aports/main/guile/src/guile-2.2.0/guile-readline" -o "language/cps/effects-analysis.go" "language/cps/effects-analysis.scm"
>

---

From: Valery Kartel <[email-masked]>
Date: Fri, 7 Apr 2017 11:40:30 +0300

Want to ask to review readline upgrade: http://patchwork.alpinelinux.
org/patch/3182

2017-04-07 11:37 GMT+03:00 Valery Kartel <[email-masked]>:

> http://patchwork.alpinelinux.org/patch/3182) to make a similar habitat
> for guile building. But it fails too. It still use old readline version
> instead of new compiled one.
>